Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.rsdn.patterns.mvc.controller
Class Controller<M extends Model<P>,P>

    java.lang.Object
      ru.rsdn.patterns.mvc.controller.Controller<M,P>

Type Parameters:
  `M` - модель
  `P` - свойство модели

    public class Controller<M extends Model<P>,P>

extends java.lang.Object

Контроллер

Field Summary
`private M` | `model`
`private java.util.Stack<ICommand<M>>` | `redoCommands`
`private java.util.Stack<ICommand<M>>` | `undoCommands`

Constructor Summary
`Controller()`

Method Summary
`private void` | `execute(ICommand<M> command, java.util.Stack<ICommand<M>> stack)`
`void` | `query(ICommand<M> command)` Запрос на выполнение команды
`void` | `queryRedo()` Запрос на повторное выполнение последнего отмененного запроса
`void` | `queryUndo()` Запрос на отмену последнего выполненного запроса
`void` | `setModel(M _model)` Установить модель

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### model

    private M extends Model<P> model

### undoCommands

    private final java.util.Stack<ICommand<M extends Model<P>>> undoCommands

### redoCommands

    private final java.util.Stack<ICommand<M extends Model<P>>> redoCommands

Constructor Detail

### Controller

    public Controller()

Method Detail

### setModel

    public void setModel(M _model)

  Установить модель

  Parameters:
    `_model` - модель

### query

    public void query(ICommand<M> command)

  Запрос на выполнение команды

  Parameters:
    `command` - команда

### execute

    private void execute(ICommand<M> command,
                         java.util.Stack<ICommand<M>> stack)

### queryUndo

    public void queryUndo()

  Запрос на отмену последнего выполненного запроса

### queryRedo

    public void queryRedo()

  Запрос на повторное выполнение последнего отмененного запроса

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD